Projects
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Page size; default 50, values are clamped to 1–200. Minimum 1. Maximum 200.
Range
1 <= value <= 200offset?integer
Pagination offset; default 0. Minimum 0. Maximum 9007199254740991.
Range
0 <= value <= 9007199254740991clientId?string
The clientId field.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidstatus?string
One status or up to five comma-separated statuses: draft, planned, active, completed, cancelled.
startDate?string
The startDate field.
Match
^\d{4}-\d{2}-\d{2}$endDate?string
The endDate field.
Match
^\d{4}-\d{2}-\d{2}$assignedUserId?string
The assignedUserId field.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidisBillable?boolean
The isBillable field.
name?string
Project name substring.
expand?string
Comma-separated client and projectManager expansions.
Response Body
application/json
curl -X GET "https://app.supervisible.com/api/v1/projects"{
"data": {}
}Empty
Empty
Empty
Empty
Empty
Empty